$(document).ready(function () {
    $("body").on("change", ".itemgrp", getscode);
    $("body").on("focus", '.comprate', autoAddRows);
    $("body").off('click').on("click", '.remove', remove);



    function remove() {
        $(this).closest("tr").remove();
    }

    $('#addnew').click(function () {
        AddRows();
    });
    function getscode() {
        var itemgrp = $('.itemgrp').val();
        $.post('gethsn_item.php', {itemgrp: itemgrp}, function (data) {
            $('.hsncode').val(data.hsncode);
            $('.gstperc').val(data.gstperc).trigger("change");
        }, 'json');
    }

    function AddRows() {
        var ctr = $('#items2').val();
        var prodtype = $('.prodtype').val();
        var hide_check = "";
        if ($("#del_all").prop("checked")) {
            hide_check = 0;
        } else {
            hide_check = 1;
        }

        var detail = ".fetchpart_" + ctr;
        $.post('item_add.php', {ctr: ctr, hide: hide_check}, function (data) {
            $(data).appendTo('.tbody2');
            ctr++;
            $('#items2').val(ctr);
            $(detail).select2();
            if (prodtype == "") {
                $(".barcode").prop("disabled", true);
                $(".item").prop("disabled", true);
            }
        });
    }
    function autoAddRows() {
        if ($(this).closest("tr").is(":last-child")) {
            AddRows();
        }

    }


});